# Ticket Category Change

#### Trigger

Tickets categories were updated (added new, delete existing or changed to another one).

#### Example

```json
{
    "CommunityName": "yourCompany",
    "EventType": "ticket_category_change",
    "TicketId": 4478963,
    "Events": [
        {
            "InboxLink": "https://inbox.socialboards.com/yourCompany/tickets?ticketId=4484636",
            "PreviousTicketCategoryId": null,
            "Ticket": {
                "Id": 4484636,
                "Title": "New car price list.",
                "Message": "Hello I want to buy a new car, how can I get a price list?",
                "HtmlMessage": "Hello I want to buy a new car, how can I get a price list?",
                "Author": {
                    "CustomIdentifier": null,
                    "Id": "bd909b4a-84fb-46ba-9e0e-581d045ed18d",
                    "Name": "John Dow",
                    "Image": null,
                    "Email": "john@dow.com",
                    "Status": "client",
                    "IsBot": false
                },
                "Category": {
                    "Id": 34016,
                    "Name": "005"
                },
                "CreationTime": "2022-11-09T10:12:59+01:00",
                "LastThreadElementCreationTime": "2022-11-09T10:12:59+01:00",
                "LockedBy": null,
                "OriginalLink": null,
                "Properties": {
                    "IsAnonymized": false,
                    "IsMuted": false,
                    "HasAttachments": true,
                    "HasDraft": false,
                    "IsAssignedToBot": false,
                    "IsDeleted": false,
                    "IsExpired": true,
                    "IsHidden": false,
                    "IsLocked": false,
                    "IsSpam": false,
                    "IsSensitive": false
                },
                "ReplyCount": 0,
                "IsMuted": false,
                "Sentiment": "question",
                "Source": "email",
                "DetailedSource": "email",
                "SourceName": "some@email.com",
                "Status": "open",
                "Tags": [
                    "urgent"
                ],
                "Attachments": null
            },
            "TicketId": 4484636,
            "EventTime": "2022-11-10T13:11:15.7663356+01:00"
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.socialboards.com/docs/apis/tickets/reference/events/ticket-category-change.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
